nvme_mi_admin_get_endgid_log(2)

NAME
nvme_mi_admin_get_endgid_log - Helper for Get Endurance Group ID Log Page functions

SYNOPSIS
int nvme_mi_admin_get_endgid_log (nvme_mi_ctrl_t ctrl , bool rae , enum nvme_cmd_get_log_lid lid , __u16 endgid , __u32 len , void *log );

ARGUMENTS

ctrl
    Controller to query

rae Retain Asynchronous Events

lid Log identifier

endgid
    Endurance Group ID

len length of log buffer

log pointer for resulting log data

DESCRIPTION
Performs a Get Log Page Admin command for a specific log ID lid and endurance group ID endgid. Log data is expected to be len bytes, and is stored in log on success. The rae flag is passed as-is to the Get Log Page command, and is specific to the Log Page requested.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.